Debian Bug report logs - #594561
firmware-ralink: fails to detect APs at frequency 2.472GHz

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Wenceslao <wens@fisica.unav.es>

Date: Fri, 27 Aug 2010 07:39:04 UTC

Severity: important

Found in version 2.6.32-20

Fixed in version linux-2.6/2.6.32-30

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao <wens@fisica.unav.es>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 07:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wenceslao <wens@fisica.unav.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 09:29:22 +0200
Package: firmware-ralink
Version: 0.26
Severity: important

I recently bought a Wifi stick (SMCWUSBS-N3) which uses the chip Ralink RT3070,
because they say it works in Linux. I tried to install the driver (through
firmware-ralink package and through compiling the driver ralink offers in their
website) and finally it is detected (thanks to posts in internet ... those
drivers are not working out of the box).

The problem is that I cannot see my AP (which is in 2.472GHz; channel 13). I
can see the AP (and connect to it) at the same position in another computer
(internal wifi) and, in the same computer and stick with Windows 7 (now
completely removed ;-) ).

After some days of work, I obtain the following information: the stick is only
capable (under my conf. in Debian) to see 11 channels in the 2.4GHz range (NOT
including 2.472GHz). Also the APs detected (neighbours) are with signals much
weaker than in the same computer and stick and position in Windows 7.

Another thing that could help the diagnosis is that iw is not detecting any
interface or device.

Current conf. of computer:

Debian Squeeze
Linux Kernel 2.6.32-5
Network-Manager
I blacklist in modprobe.d through specific files: rt2800(usb,lib), rt2x00, etc
....
....

Sorry for not providing all the information, but I am in another computer so I
cannot access now the logs. If you think something specific is needed I can put
in pendrive and submit here.

I checked the internet and although this has been seen some times the solutions
they give are not working

Thanks a lot for the help !!

Wenceslao



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_ES, LC_CTYPE=es_ES (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 08:33:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 08:33:27 GMT) Full text and rfc822 format available.

Message #10 received at 594561@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Wenceslao <wens@fisica.unav.es>, 594561@bugs.debian.org
Cc: "Luis R. Rodriguez" <mcgrof@gmail.com>, Kel Modderman <kel@otaku42.de>, Kalle Valo <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, Paul Wise <pabs@debian.org>, "John W. Linville" <linville@tuxdriver.com>, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>, Tim Gardner <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 10:15:45 +0200
Hello,

On Fri, Aug 27, 2010 at 09:29:22AM +0200, Wenceslao wrote:
> Package: firmware-ralink
> Version: 0.26
> Severity: important
> 
> I recently bought a Wifi stick (SMCWUSBS-N3) which uses the chip Ralink RT3070,
> because they say it works in Linux. I tried to install the driver (through
> firmware-ralink package and through compiling the driver ralink offers in their
> website) and finally it is detected (thanks to posts in internet ... those
> drivers are not working out of the box).
> 
> The problem is that I cannot see my AP (which is in 2.472GHz; channel 13). I
> can see the AP (and connect to it) at the same position in another computer
> (internal wifi) and, in the same computer and stick with Windows 7 (now
> completely removed ;-) ).
> 
> After some days of work, I obtain the following information: the stick is only
> capable (under my conf. in Debian) to see 11 channels in the 2.4GHz range (NOT
> including 2.472GHz). Also the APs detected (neighbours) are with signals much
> weaker than in the same computer and stick and position in Windows 7.
> 
> Another thing that could help the diagnosis is that iw is not detecting any
> interface or device.
> 
> Current conf. of computer:
> 
> Debian Squeeze
> Linux Kernel 2.6.32-5
> Network-Manager
> I blacklist in modprobe.d through specific files: rt2800(usb,lib), rt2x00, etc
> ....
> ....
> 
> Sorry for not providing all the information, but I am in another computer so I
> cannot access now the logs. If you think something specific is needed I can put
> in pendrive and submit here.
> 
> I checked the internet and although this has been seen some times the solutions
> they give are not working
 
This might be related to

	http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/

?  Any news there?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 09:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to wens@fisica.unav.es:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 09:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Cc: 594561@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@gmail.com>, Kel Modderman <kel@otaku42.de>, Kalle Valo <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, Paul Wise <pabs@debian.org>, "John W. Linville" <linville@tuxdriver.com>, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>, Tim Gardner <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 11:02:22 +0200
Hello,

to tell you the truth I was scared at looking at the 
http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/ . The 
reason is that probably you are right, but unfortunately I am no such an 
expert to get a solution from the thread.

I am looking in the packages repositories of debian an I am not able to 
find crda. On the other hand in the package contents search the 80211 
stuff is related to linux headers, which I have installed. One thing 
that might help is that when I used iw list before, I got something like 
nl80211 not found. After that, I thought that one module should be 
loaded. I loaded mac80211. I checked it was (and I got mac.... and 
cfg....). Now, when I type iw list, I got nothing (neither error nor 
result).

Everything and what you told me makes me feel that the solution is 
nearby and easy; but I don't know how to go on ...

Thanks a lot,

Wenceslao

El 08/27/10 10:15, Uwe Kleine-König escribió:
> Hello,
>
> On Fri, Aug 27, 2010 at 09:29:22AM +0200, Wenceslao wrote:
>    
>> Package: firmware-ralink
>> Version: 0.26
>> Severity: important
>>
>> I recently bought a Wifi stick (SMCWUSBS-N3) which uses the chip Ralink RT3070,
>> because they say it works in Linux. I tried to install the driver (through
>> firmware-ralink package and through compiling the driver ralink offers in their
>> website) and finally it is detected (thanks to posts in internet ... those
>> drivers are not working out of the box).
>>
>> The problem is that I cannot see my AP (which is in 2.472GHz; channel 13). I
>> can see the AP (and connect to it) at the same position in another computer
>> (internal wifi) and, in the same computer and stick with Windows 7 (now
>> completely removed ;-) ).
>>
>> After some days of work, I obtain the following information: the stick is only
>> capable (under my conf. in Debian) to see 11 channels in the 2.4GHz range (NOT
>> including 2.472GHz). Also the APs detected (neighbours) are with signals much
>> weaker than in the same computer and stick and position in Windows 7.
>>
>> Another thing that could help the diagnosis is that iw is not detecting any
>> interface or device.
>>
>> Current conf. of computer:
>>
>> Debian Squeeze
>> Linux Kernel 2.6.32-5
>> Network-Manager
>> I blacklist in modprobe.d through specific files: rt2800(usb,lib), rt2x00, etc
>> ....
>> ....
>>
>> Sorry for not providing all the information, but I am in another computer so I
>> cannot access now the logs. If you think something specific is needed I can put
>> in pendrive and submit here.
>>
>> I checked the internet and although this has been seen some times the solutions
>> they give are not working
>>      
>
> This might be related to
>
> 	http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/
>
> ?  Any news there?
>
> Best regards
> Uwe
>
>    

-- 
________________________________________

Wenceslao González-Viñas

e-mail: wens@fisica.unav.es
http://fisica.unav.es/~wens/ (personal)
http://fisica.unav.es/gmm/   (group)
FAX:+34 948.425.649
phn:+34 948.425.600  ext:6385 / 6603

Depto. Física y Matemática Aplicada
Facultad de Ciencias
Universidad de Navarra
c/Irunlarrea s/n
E-31080 Pamplona, Navarra, Spain
________________________________________






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 15:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao <wens@fisica.unav.es>, 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 16:20:55 +0100
On Fri, Aug 27, 2010 at 09:29:22AM +0200, Wenceslao wrote:
> Package: firmware-ralink
> Version: 0.26
> Severity: important
> 
> I recently bought a Wifi stick (SMCWUSBS-N3) which uses the chip Ralink RT3070,
> because they say it works in Linux. I tried to install the driver (through
> firmware-ralink package and through compiling the driver ralink offers in their
> website) and finally it is detected (thanks to posts in internet ... those
> drivers are not working out of the box).
[...]

So far as I know, channel limits are imposed by the driver, not the firmware.
Since you are using the driver from Ralink, not from Debian, you have not (yet)
found a bug in Debian.

There is a version of the driver (rt2870sta) included in our packages of
Linux 2.6.32, which are available in unstable, testing and lenny-backports.
This has combined support for both RT2870 and RT3070 controllers.  Please
remove Ralink's version of the driver, install one of those packages and
test whether the bug exists in this version of the driver.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 27 Aug 2010 15:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wens@fisica.unav.es:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 15:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 17:28:19 +0200
I installed in fact both (without putting them in automatic loading 
after boot). With both drivers happen the same. I may be wrong, but I 
tried very much to do in such a way they do not interfere. In the case 
of Debian compliant was the non-free section of Squeeze (testing), 
version 0.26.

Wenceslao

El 08/27/10 17:20, Ben Hutchings escribió:
> On Fri, Aug 27, 2010 at 09:29:22AM +0200, Wenceslao wrote:
>    
>> Package: firmware-ralink
>> Version: 0.26
>> Severity: important
>>
>> I recently bought a Wifi stick (SMCWUSBS-N3) which uses the chip Ralink RT3070,
>> because they say it works in Linux. I tried to install the driver (*through
>> firmware-ralink package*  and through compiling the driver ralink offers in their
>> website) and finally it is detected (thanks to posts in internet ... those
>> drivers are not working out of the box).
>>      
> [...]
>
> So far as I know, channel limits are imposed by the driver, not the firmware.
> Since you are using the driver from Ralink, not from Debian, you have not (yet)
> found a bug in Debian.
>
> There is a version of the driver (rt2870sta) included in our packages of
> Linux 2.6.32, which are available in unstable, testing and lenny-backports.
> This has combined support for both RT2870 and RT3070 controllers.  Please
> remove Ralink's version of the driver, install one of those packages and
> test whether the bug exists in this version of the driver.
>
> Ben.
>
>    






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Fri, 27 Aug 2010 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 20:03:03 GMT) Full text and rfc822 format available.

Message #32 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: wens@fisica.unav.es, 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Fri, 27 Aug 2010 21:00:41 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-08-27 at 17:28 +0200, Wenceslao González-Viñas wrote:
> I installed in fact both (without putting them in automatic loading 
> after boot). With both drivers happen the same. I may be wrong, but I 
> tried very much to do in such a way they do not interfere. In the case 
> of Debian compliant was the non-free section of Squeeze (testing), 
> version 0.26.
[...]

That is the version of the *firmware* package, firmware-ralink.  The
driver is in the *kernel* package, linux-image-2.6.32-5-686 (and
similarly named packages for different processor types).

Please ensure you have that kernel package installed and uninstall
Ralink's driver.  Then reboot and test whether the frequency 2.472 GHz
is supported.

To confirm that you are using the right driver, please send the output
of these commands:

readlink /sys/class/net/wlan0/device/driver
/sbin/modinfo rt2870sta
dmesg

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Sat, 28 Aug 2010 02:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 02:39:06 GMT) Full text and rfc822 format available.

Message #37 received at 594561@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Cc: Wenceslao <wens@fisica.unav.es>, 594561@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@gmail.com>, Kel Modderman <kel@otaku42.de>, Kalle Valo <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, "John W. Linville" <linville@tuxdriver.com>, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>, Tim Gardner <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 10:35:00 +0800
[Message part 1 (text/plain, inline)]
On Fri, 2010-08-27 at 10:15 +0200, Uwe Kleine-König wrote:

> This might be related to
> 
> 	http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/
> 
> ?  Any news there?

Kel Modderman seems to have disappeared, haven't heard from him in a
long time.

If anyone else wants to join pkg-wpa and step up to maintain the
packaging for crda, I'd be happy to re-issue my offer of sponsorship to
them if pkg-wpa doesn't have sufficient people capable of uploading
directly to Debian. Those who want to test them can do the following:

apt-get install build-essential devscripts debhelper libnl-dev libssl-dev pkg-config openssl python python-m2crypto
svn co svn://svn.debian.org/pkg-wpa/crda/trunk crda
cd crda/
uscan --download-current-version
debuild
sudo debi
cd ..
svn co svn://svn.debian.org/pkg-wpa/wireless-regdb/trunk wireless-regdb
cd wireless-regdb/
uscan --download-current-version
debuild
sudo debi
cd ..

I've been using the crda/wireless-regdb packages Kel created for a while
and they seem fine but they need someone to step up to maintain them and
get them into Debian. I don't have time to do that myself but would be
willing to help folks who are interested in doing that.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Sat, 28 Aug 2010 03:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 03:15:06 GMT) Full text and rfc822 format available.

Message #42 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Wise <pabs@debian.org>
Cc: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Wenceslao <wens@fisica.unav.es>, 594561@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@gmail.com>, Kel Modderman <kel@otaku42.de>, Kalle Valo <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, "John W. Linville" <linville@tuxdriver.com>, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>, Tim Gardner <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 04:13:25 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-08-28 at 10:35 +0800, Paul Wise wrote:
> On Fri, 2010-08-27 at 10:15 +0200, Uwe Kleine-König wrote:
> 
> > This might be related to
> > 
> > 	http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/
> > 
> > ?  Any news there?
> 
> Kel Modderman seems to have disappeared, haven't heard from him in a
> long time.
> 
> If anyone else wants to join pkg-wpa and step up to maintain the
> packaging for crda, I'd be happy to re-issue my offer of sponsorship to
> them if pkg-wpa doesn't have sufficient people capable of uploading
> directly to Debian. Those who want to test them can do the following:
[...]

Unless I'm very much mistaken rt2870sta cannot be controlled through
crda since it does not use the cfg80211 framework.  So, while it is
important for many drivers I don't believe it's relevant to this bug.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Sat, 28 Aug 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 10:35:21 +0200
Dear Ben,

It seems that the kernel without firmware is not able to load any  
module. Probably, because the device I am using is 083a:a701 !! . Here  
is the answer of the things you asked for (after dpkg --purge  
firmware-ralink ):

readlink /sys/class/net/wlan0/device/driver
-------------------------------------------

../../../../../bus/usb/drivers/usb

/sbin/modinfo rt2870sta
-----------------------

filename:        
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2870/rt2870sta.ko
version:        2.1.0.0
license:        GPL
description:    RT2870/RT3070 Wireless Lan Linux Driver
author:         Paul Lin <paul_lin@ralinktech.com>
firmware:       rt3071.bin
firmware:       rt3070.bin
firmware:       rt2870.bin
srcversion:     081365DAC3DB3AC17D83014
alias:          usb:v2019pED14d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0077d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v203Dp1480d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04BBp0945d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0283d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p5257d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1EDAp2310d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1A32p0304d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7711d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pAB25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3273d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9706d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9705d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9703d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7511d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v18C5p0012d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C12d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0042d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DB0p3820d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p00E8d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7717d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7718d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0282d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0280d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04E8p2018d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1482p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp805Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v157Ep300Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v129Bp1828d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0003d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0001d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15C5p0008d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap6618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3247d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0471p200Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9702d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9701d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0025d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0586p3416d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0022d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap8522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApA618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApB522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15A9p0006d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp002Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C27d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C23d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp825Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp8053d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C07d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C11d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pED06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C28d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0017d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1742d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1732d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1731d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v177Fp0302d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0164d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0163d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0162d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7512d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0039d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2770d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2770d*dc*dsc*dp*ic*isc*ip*
depends:        usbcore,crc-ccitt
staging:        Y
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           mac:rt28xx: wireless mac addr (charp)

dmesg
-----

[  419.572015] usb 1-7: new high speed USB device using ehci_hcd and address 6
[  419.721989] usb 1-7: New USB device found, idVendor=083a, idProduct=a701
[  419.721994] usb 1-7: New USB device strings: Mfr=1, Product=2,  
SerialNumber=3
[  419.721998] usb 1-7: Product: 802.11 n WLAN
[  419.722001] usb 1-7: Manufacturer: Ralink
[  419.722004] usb 1-7: SerialNumber: 1.0
[  419.722140] usb 1-7: configuration #1 chosen from 1 choice
[  419.724643] === pAd = ffffc9001114e000, size = 502256 ===
[  419.724647] <-- RTMPAllocAdapterBlock, Status=0
[  419.777871] usb 1-7: firmware: requesting rt3070.bin
[  419.802850] usb 1-7: firmware file rt3070.bin request failed (-2)
[  419.802855] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  419.802858] rt28xx Initialized fail!
[  419.836241] usb 1-7: firmware: requesting rt3070.bin
[  419.839037] usb 1-7: firmware file rt3070.bin request failed (-2)
[  419.839042] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  419.839048] rt28xx Initialized fail!
[  419.839380] usb 1-7: firmware: requesting rt3070.bin
[  419.843020] usb 1-7: firmware file rt3070.bin request failed (-2)
[  419.843026] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  419.843033] rt28xx Initialized fail!
[  419.854873] usb 1-7: firmware: requesting rt3070.bin
[  419.858756] usb 1-7: firmware file rt3070.bin request failed (-2)
[  419.858762] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  419.858768] rt28xx Initialized fail!
[  479.965042] usb 1-7: firmware: requesting rt3070.bin
[  479.968119] usb 1-7: firmware file rt3070.bin request failed (-2)
[  479.968125] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  479.968132] rt28xx Initialized fail!
[  713.978047] usb 1-7: firmware: requesting rt3070.bin
[  713.981339] usb 1-7: firmware file rt3070.bin request failed (-2)
[  713.981345] ERROR! NICLoadFirmware failed, Status[=0x00000001]
[  713.981352] rt28xx Initialized fail!

THANK YOU for everything. Kind regards,

Wenceslao


Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Fri, 2010-08-27 at 17:28 +0200, Wenceslao González-Viñas wrote:
>> I installed in fact both (without putting them in automatic loading
>> after boot). With both drivers happen the same. I may be wrong, but I
>> tried very much to do in such a way they do not interfere. In the case
>> of Debian compliant was the non-free section of Squeeze (testing),
>> version 0.26.
> [...]
>
> That is the version of the *firmware* package, firmware-ralink.  The
> driver is in the *kernel* package, linux-image-2.6.32-5-686 (and
> similarly named packages for different processor types).
>
> Please ensure you have that kernel package installed and uninstall
> Ralink's driver.  Then reboot and test whether the frequency 2.472 GHz
> is supported.
>
> To confirm that you are using the right driver, please send the output
> of these commands:
>
> readlink /sys/class/net/wlan0/device/driver
> /sbin/modinfo rt2870sta
> dmesg
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Sat, 28 Aug 2010 09:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 09:21:08 GMT) Full text and rfc822 format available.

Message #52 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz (2)
Date: Sat, 28 Aug 2010 11:16:56 +0200
Dear Ben,

After reconfiguring kernel and rebooting and so on, results are  
different (??). Here is the answer:

readlink /sys/class/net/wlan0/device/driver
-------------------------------------------

--- (nothing)

/sbin/modinfo rt2870sta
-----------------------

filename:        
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2870/rt2870sta.ko
version:        2.1.0.0
license:        GPL
description:    RT2870/RT3070 Wireless Lan Linux Driver
author:         Paul Lin <paul_lin@ralinktech.com>
firmware:       rt3071.bin
firmware:       rt3070.bin
firmware:       rt2870.bin
srcversion:     081365DAC3DB3AC17D83014
alias:          usb:v2019pED14d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0077d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v203Dp1480d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04BBp0945d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0283d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p5257d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1EDAp2310d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1A32p0304d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7711d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pAB25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3273d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9706d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9705d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9703d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7511d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v18C5p0012d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C12d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0042d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DB0p3820d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p00E8d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7717d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7718d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0282d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0280d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04E8p2018d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1482p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp805Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v157Ep300Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v129Bp1828d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0003d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0001d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15C5p0008d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap6618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3247d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0471p200Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9702d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9701d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0025d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0586p3416d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0022d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap8522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApA618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApB522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15A9p0006d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp002Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C27d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C23d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp825Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp8053d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C07d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C11d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pED06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C28d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0017d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1742d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1732d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1731d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v177Fp0302d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0164d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0163d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0162d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7512d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0039d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2770d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2770d*dc*dsc*dp*ic*isc*ip*
depends:        usbcore,crc-ccitt
staging:        Y
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           mac:rt28xx: wireless mac addr (charp)

dmesg
-----

[   71.208021] usb 1-7: new high speed USB device using ehci_hcd and address 6
[   71.358274] usb 1-7: New USB device found, idVendor=083a, idProduct=a701
[   71.358279] usb 1-7: New USB device strings: Mfr=1, Product=2,  
SerialNumber=3
[   71.358283] usb 1-7: Product: 802.11 n WLAN
[   71.358286] usb 1-7: Manufacturer: Ralink
[   71.358289] usb 1-7: SerialNumber: 1.0
[   71.358428] usb 1-7: configuration #1 chosen from 1 choice


Thanks again,

Wenceslao


Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Fri, 2010-08-27 at 17:28 +0200, Wenceslao González-Viñas wrote:
>> I installed in fact both (without putting them in automatic loading
>> after boot). With both drivers happen the same. I may be wrong, but I
>> tried very much to do in such a way they do not interfere. In the case
>> of Debian compliant was the non-free section of Squeeze (testing),
>> version 0.26.
> [...]
>
> That is the version of the *firmware* package, firmware-ralink.  The
> driver is in the *kernel* package, linux-image-2.6.32-5-686 (and
> similarly named packages for different processor types).
>
> Please ensure you have that kernel package installed and uninstall
> Ralink's driver.  Then reboot and test whether the frequency 2.472 GHz
> is supported.
>
> To confirm that you are using the right driver, please send the output
> of these commands:
>
> readlink /sys/class/net/wlan0/device/driver
> /sbin/modinfo rt2870sta
> dmesg
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>


----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package firmware-ralink. (Sat, 28 Aug 2010 13:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 13:30:06 GMT) Full text and rfc822 format available.

Message #57 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 14:28:49 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-08-28 at 10:35 +0200, Wenceslao González-Viñas wrote:
> Dear Ben,
> 
> It seems that the kernel without firmware is not able to load any  
> module. Probably, because the device I am using is 083a:a701 !! . Here  
> is the answer of the things you asked for (after dpkg --purge  
> firmware-ralink ):
[...]

Why did you do that?  Do you still think firmware-ralink is a driver?
It is not.

You do need firmware-ralink installed.  Reinstall it and run those
commands again.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'firmware-ralink' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Aug 2010 13:36:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions firmware-nonfree/0.26. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Aug 2010 13:36:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-20. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Aug 2010 13:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sat, 28 Aug 2010 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 15:24:04 GMT) Full text and rfc822 format available.

Message #68 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 17:20:50 +0200
Ok, I installed them again. Nothing happens (same results of last  
email) until I type the following (that I got from the internet):

echo 'install rt2870sta modprobe --ignore-install rt2870sta ;  
/bin/echo "083a a701" > /sys/bus/usb/drivers/rt2870/new_id' | tee  
/etc/modprobe.d/rt2870sta.conf
depmod -ae
update-initramfs -u
modprobe rt2870sta

After that ... wifi stick gets up, but does not work properly. Results  
of the commands below:

readlink /sys/class/net/wlan0/device/driver
-------------------------------------------

../../../../../bus/usb/drivers/usb

/sbin/modinfo rt2870sta
-----------------------

filename:        
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2870/rt2870sta.ko
version:        2.1.0.0
license:        GPL
description:    RT2870/RT3070 Wireless Lan Linux Driver
author:         Paul Lin <paul_lin@ralinktech.com>
firmware:       rt3071.bin
firmware:       rt3070.bin
firmware:       rt2870.bin
srcversion:     081365DAC3DB3AC17D83014
alias:          usb:v2019pED14d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0077d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v203Dp1480d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04BBp0945d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0283d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p5257d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1D4Dp000Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C0Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1EDAp2310d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1A32p0304d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7711d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pAB25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3273d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9706d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9705d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9703d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7511d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v18C5p0012d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C12d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0042d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p003Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DB0p3820d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3072d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp3070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p00E8d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0071d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0070d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7717d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v7392p7718d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0282d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v5A57p0280d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04E8p2018d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1482p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp815Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp805Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v157Ep300Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v129Bp1828d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0003d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0E66p0001d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15C5p0008d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap6618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13D3p3247d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C25d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0471p200Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9702d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1740p9701d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0025d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0586p3416d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0CDEp0022d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap8522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApA618d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083ApB522d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v15A9p0006d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1044p800Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp003Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp002Fd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C27d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C23d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp825Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp8053d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C07d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C11d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C09d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2019pED06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C28d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14B2p3C06d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Cd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p002Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0017d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1742d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1732d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B05p1731d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v177Fp0302d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0164d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0163d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0162d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v083Ap7512d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DF6p0039d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2770d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2870d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v148Fp2770d*dc*dsc*dp*ic*isc*ip*
depends:        usbcore,crc-ccitt
staging:        Y
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           mac:rt28xx: wireless mac addr (charp)

dmesg
-----

[ 1280.308022] usb 1-7: new high speed USB device using ehci_hcd and  
address 11
[ 1280.457583] usb 1-7: New USB device found, idVendor=083a, idProduct=a701
[ 1280.457588] usb 1-7: New USB device strings: Mfr=1, Product=2,  
SerialNumber=3
[ 1280.457592] usb 1-7: Product: 802.11 n WLAN
[ 1280.457595] usb 1-7: Manufacturer: Ralink
[ 1280.457598] usb 1-7: SerialNumber: 1.0
[ 1280.457728] usb 1-7: configuration #1 chosen from 1 choice
[ 1291.558512] rt2870sta: module is from the staging directory, the  
quality is unknown, you have been warned.
[ 1291.565018] rtusb init --->
[ 1291.565073] usbcore: registered new interface driver rt2870
[ 1291.566856] === pAd = ffffc90011223000, size = 502256 ===
[ 1291.566860] <-- RTMPAllocAdapterBlock, Status=0
[ 1291.603487] usb 1-7: firmware: requesting rt3070.bin
[ 1291.885517] <-- RTMPAllocTxRxRingMemory, Status=0
[ 1291.887041] -->RTUSBVenderReset
[ 1291.887166] <--RTUSBVenderReset
[ 1292.169749] 1. Phy Mode = 0
[ 1292.169753] 2. Phy Mode = 0
[ 1292.169756] NVM is Efuse and its size =2d[2d0-2fc]
[ 1292.242864] 3. Phy Mode = 0
[ 1292.248738] RTMPSetPhyMode: channel is out of range, use first channel=1
[ 1292.248743] MCS Set = 00 00 00 00 00
[ 1292.309104] <==== rt28xx_init, Status=0
[ 1292.310601] 0x1300 = 00073200
[ 1297.383818] ===>rt_ioctl_giwscan. 2(2) BSS returned, data->length = 370
[ 1302.776005] wlan0: no IPv6 routers present
[ 1318.108113] ===>rt_ioctl_giwscan. 4(4) BSS returned, data->length = 698
[ 1348.108101] ===>rt_ioctl_giwscan. 5(5) BSS returned, data->length = 929

Finally I run this: iwlist wlan0 channel

wlan0     11 channels in total; available frequencies :
          Channel 01 : 2.412 GHz
          Channel 02 : 2.417 GHz
          Channel 03 : 2.422 GHz
          Channel 04 : 2.427 GHz
          Channel 05 : 2.432 GHz
          Channel 06 : 2.437 GHz
          Channel 07 : 2.442 GHz
          Channel 08 : 2.447 GHz
          Channel 09 : 2.452 GHz
          Channel 10 : 2.457 GHz
          Channel 11 : 2.462 GHz
          Current Frequency:2.412 GHz (Channel 1)

So, I cannot get 2.472GHz freq....

Thanks,

Wenceslao



>
> Why did you do that?  Do you still think firmware-ralink is a driver?
> It is not.
>
> You do need firmware-ralink installed.  Reinstall it and run those
> commands again.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sat, 28 Aug 2010 15:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to kel@otaku42.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Aug 2010 15:24:06 GMT) Full text and rfc822 format available.

Message #73 received at 594561@bugs.debian.org (full text, mbox):

From: kel@otaku42.de
To: "Paul Wise" <pabs@debian.org>
Cc: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, "Wenceslao" <wens@fisica.unav.es>, 594561@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@gmail.com>, "Kel Modderman" <kel@otaku42.de>, "Kalle Valo" <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, "John W. Linville" <linville@tuxdriver.com>, "Debian/Ubuntu wpasupplicant Maintainers" <pkg-wpa-devel@lists.alioth.debian.org>, "Tim Gardner" <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sat, 28 Aug 2010 17:21:50 +0200 (CEST)
> On Fri, 2010-08-27 at 10:15 +0200, Uwe Kleine-König wrote:
>
>> This might be related to
>>
>> 	http://thread.gmane.org/gmane.linux.debian.devel.kernel/54624/
>>
>> ?  Any news there?
>
> Kel Modderman seems to have disappeared, haven't heard from him in a
> long time.
>
> If anyone else wants to join pkg-wpa and step up to maintain the
> packaging for crda, I'd be happy to re-issue my offer of sponsorship to
> them if pkg-wpa doesn't have sufficient people capable of uploading
> directly to Debian. Those who want to test them can do the following:
>
> apt-get install build-essential devscripts debhelper libnl-dev libssl-dev
> pkg-config openssl python python-m2crypto
> svn co svn://svn.debian.org/pkg-wpa/crda/trunk crda
> cd crda/
> uscan --download-current-version
> debuild
> sudo debi
> cd ..
> svn co svn://svn.debian.org/pkg-wpa/wireless-regdb/trunk wireless-regdb
> cd wireless-regdb/
> uscan --download-current-version
> debuild
> sudo debi
> cd ..
>
> I've been using the crda/wireless-regdb packages Kel created for a while
> and they seem fine but they need someone to step up to maintain them and
> get them into Debian. I don't have time to do that myself but would be
> willing to help folks who are interested in doing that.

I have not disappeared. Nothing was ever sponsored, though multiple
permutations of working packages were produced and annoying problems
were found and discussed to no avail.

Kel.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 29 Aug 2010 00:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 29 Aug 2010 02:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Aug 2010 02:36:04 GMT) Full text and rfc822 format available.

Message #80 received at 594561@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: kel@otaku42.de
Cc: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Wenceslao <wens@fisica.unav.es>, 594561@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@gmail.com>, Kalle Valo <kalle.valo@iki.fi>, "John S. Skogtvedt" <jss@bzz.no>, "John W. Linville" <linville@tuxdriver.com>, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>, Tim Gardner <tim.gardner@canonical.com>, debian-kernel@lists.debian.org
Subject: Re: Bug#594561: firmware-ralink: fails to detect APs at frequency 2.472GHz
Date: Sun, 29 Aug 2010 10:33:33 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2010-08-28 at 17:21 +0200, kel@otaku42.de wrote:

> I have not disappeared.

My apologies, I hadn't received any RFS mail so I incorrectly assumed.

> Nothing was ever sponsored, though multiple permutations of working
> packages were produced and annoying problems were found and discussed
> to no avail.

According to my memory, the packages were ready to upload, just waiting
for you to commit to maintaining them and request that someone upload
them. Would you like me to upload them? What about getting them into
squeeze?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Sep 2010 23:00:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 15 Sep 2010 06:42:16 GMT) Full text and rfc822 format available.

Notification sent to Wenceslao <wens@fisica.unav.es>:
Bug acknowledged by developer. (Wed, 15 Sep 2010 06:42:16 GMT) Full text and rfc822 format available.

Message #87 received at 594561-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 594561-close@bugs.debian.org
Subject: Bug#594561: fixed in linux-2.6 2.6.32-22
Date: Wed, 15 Sep 2010 06:38:03 +0000
Source: linux-2.6
Source-Version: 2.6.32-22

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-22_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-22_all.deb
linux-2.6_2.6.32-22.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-22.diff.gz
linux-2.6_2.6.32-22.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-22.dsc
linux-base_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-22_all.deb
linux-doc-2.6.32_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-22_all.deb
linux-headers-2.6.32-5-all-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-amd64_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-all_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-common-xen_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-common_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
linux-headers-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
linux-image-2.6.32-5-amd64-dbg_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64-dbg_2.6.32-22_amd64.deb
linux-image-2.6.32-5-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-22_amd64.deb
linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-22_amd64.deb
linux-image-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-22_amd64.deb
linux-image-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-22_amd64.deb
linux-image-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
linux-libc-dev_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-22_amd64.deb
linux-manual-2.6.32_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-22_all.deb
linux-patch-debian-2.6.32_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-22_all.deb
linux-source-2.6.32_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-22_all.deb
linux-support-2.6.32-5_2.6.32-22_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-22_all.deb
linux-tools-2.6.32_2.6.32-22_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-22_amd64.deb
xen-linux-system-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Sep 2010 14:17:11 +0200
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all amd64
Version: 2.6.32-22
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 571526 579017 585864 592187 593679 594561 594604 594690 594756 594845 595554 595802 596478 596515 596709
Changes: 
 linux-2.6 (2.6.32-22) unstable; urgency=low
 .
   [ Ian Campbell ]
   * xen: backport pvhvm drivers from upstream.
   * Fixes/overrides for Lintian warnings:
     - Add "(meta package)" to short description of linux-headers
       metapackages, resolves empty-binary-package.
     - Add dependency on ${misc:Depends} to all packages, resolves
       debhelper-but-no-misc-depends. Required update to gencontrol.py to
       augment rather than override headers_arch_depends read from templates.
     - Override dbg-package-missing-depends for linux-image-*-dbg. It is not
       necessary to install the kernel image package to use the dbg package
       since the dbg package already contains a complete image with symbols.
 .
   [ Ben Hutchings ]
   * [x86/xen] Restore stack guard page (CVE-2010-2240)
   * Add stable 2.6.32.21:
     - ext4: consolidate in_range() definitions (CVE-2010-3015)
     - mm: make the mlock() stack guard page checks stricter
       (avoids regression for Xen tools; closes: 594756)
     - [sparc] sunxvr500: Ignore secondary output PCI devices
       (Closes: #594604)
     - ocfs2: fix o2dlm dlm run purgelist (Closes: #593679)
     - Avoid ABI change in mm
     - Ignore ABI change in snd-emu10k1
   * Add drm changes from stable 2.6.34.6:
     - drm: stop information leak of old kernel stack (CVE-2010-2803)
   * rt2870sta: Add more device IDs from vendor drivers
   * rt2860sta, rt2870sta: Enable channels 12-14 (Closes: #594561)
   * SCSI/mptsas: fix hangs caused by ATA pass-through (Closes: #594690)
   * sky2: Apply fixes and new hardware support from 2.6.33-2.6.35
     (Closes: #571526)
   * postinst: Really warn users on upgrade if the current configuration may
     rely on running a default boot loader.
   * input: add compat support for sysfs and /proc capabilities output
     (Closes: #579017)
   * snd-hda-intel: Add support for VIA V1708S, VT1718S, VT1828S, VT2020,
     VT1716S, VT2002P, VT1812, VT1818S
   * hwmon/w83627ehf: Add support for W83667HG-B
   * 3c59x: Fix deadlock in vortex_error() (Closes: #595554)
   * [x86] paravirt: Add a global synchronization point for pvclock (from
     2.6.32.16; reverted due to a regression which was addressed in 2.6.32.19)
   * sched, cputime: Introduce thread_group_times() (from 2.6.32.19; reverted
     due to the potential ABI change which we now carefully avoid)
   * net/{tcp,udp,llc,sctp,tipc,x25}: Add limit for socket backlog
     (Closes: #592187)
   * tun: Don't add sysfs attributes to devices without sysfs directories
     (Closes: #594845)
   * [x86] Add brcm80211 driver for Broadcom 802.11n wireless network
     controllers
   * r8169: Remove MODULE_FIRMWARE declarations since the firmware is
     non-essential and we do not distribute it
   * [x86] HPET: unmap unused I/O space
   * ipheth: add support for iPhone 4
   * ipheth: remove incorrect devtype of WWAN
   * ALSA: emux: Add trivial compat ioctl handler (Closes: #596478)
   * hostap_pci: set dev->base_addr during probe (Closes: #595802)
   * ethtool: allow non-netadmin to query settings (see #520724)
   * ACPI: add boot option acpi=copy_dsdt to fix corrupt DSDT, and enable this
     automatically for known-bad Toshiba models (Closes: #596709)
 .
   [ Bastian Blank ]
   * Use Breaks instead of Conflicts.
 .
   [ Aurelien Jarno ]
   * [mips,mipsel] Fix computation of DMA flags from device's
     coherent_dma_mask.
 .
   [ Martin Michlmayr ]
   * Add some patches from the Orion tree:
     - OpenRD: Enable SD/UART selection for serial port 1
     - kirkwood: Unbreak PCIe I/O port
     - Kirkwood: support for Seagate DockStar
 .
   [ dann frazier ]
   * netxen_nic: add support for loading unified firmware images
   * irda: Correctly clean up self->ias_obj on irda_bind() failure.
     (CVE-2010-2954)
 .
   [ maximilian attems ]
   * [powerpc] Enable WINDFARM_PM121. (closes: #596515)
     Thanks Étienne BERSAC <bersace03@gmail.com>
   * nouveau: disable acceleration on NVA3/NVA5/NVA8 by default.
   * openvz: disable KSM. Thanks Dietmar Maurer <dietmar@proxmox.com>.
     (closes: #585864)
   * Update openvz patch to d38b56fd0dca.
   * openvz: enalbe modular VZ_EVENT.
Checksums-Sha1: 
 f93d81433ff8873fb8ae14e44ac6411dd6b2c8b5 6337 linux-2.6_2.6.32-22.dsc
 8a72fb97363a5a890e74bd393d9a6983c64dba67 13562514 linux-2.6_2.6.32-22.diff.gz
 b428eee0f463cdbd9bc12ec4be70d14d80cf9024 6040300 linux-doc-2.6.32_2.6.32-22_all.deb
 376f8fcf8a051ee719040ee2dbb83c6d7bb5683d 2723742 linux-manual-2.6.32_2.6.32-22_all.deb
 beee9bf503fa73e87f276ebbf66506f7f325eb0d 6487022 linux-patch-debian-2.6.32_2.6.32-22_all.deb
 c29704c586ca780991e1bee19a6469699f29570c 64740848 linux-source-2.6.32_2.6.32-22_all.deb
 7f2bd922a5a2a39635f14a3369fa49b31c6b32bd 149932 linux-support-2.6.32-5_2.6.32-22_all.deb
 60b77ceeef1f864ad0a0e73d1d201db758ef207b 137744 firmware-linux-free_2.6.32-22_all.deb
 136a9642f332753d9e66462d3dc97bac54ea09c6 156468 linux-base_2.6.32-22_all.deb
 2dc1406804e2d56aa132525b72c9a915e58cb8ba 28154502 linux-image-2.6.32-5-amd64_2.6.32-22_amd64.deb
 ca64bfdee53938ce2a727cbdb9ebcfd3be804664 368996248 linux-image-2.6.32-5-amd64-dbg_2.6.32-22_amd64.deb
 91304ec51256815f07c4384841933ed66a8e0c97 511646 linux-headers-2.6.32-5-amd64_2.6.32-22_amd64.deb
 a3a0c5a712d8cd1f6e2d62bba62e56bd9043dfa6 3887974 linux-headers-2.6.32-5-common_2.6.32-22_amd64.deb
 cc1a3cab5a30a7caf99ea2eb4000e560bc844203 28293522 linux-image-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 d41ea303da42903c9527d726e2ce7f107955b6ea 436012878 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-22_amd64.deb
 61b41ee0349a62beb8c003ff4b4813d6504eda12 536802 linux-headers-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 e568d7b69a6f5be117514e6bd2d6d19ed306d324 3940454 linux-headers-2.6.32-5-common-openvz_2.6.32-22_amd64.deb
 62ab26c2744cfd13485edfc26d8f01c662e9007f 133194 linux-headers-2.6.32-5-all_2.6.32-22_amd64.deb
 5788359df9b9752780a867872873ab31b861fd9d 133226 linux-headers-2.6.32-5-all-amd64_2.6.32-22_amd64.deb
 f014aa5311169e9cc6a0f19a0ac2da0482ccd0e0 829740 linux-libc-dev_2.6.32-22_amd64.deb
 bc5632257b0ead7147285bd0e2eae8224d57dc9e 290544 linux-tools-2.6.32_2.6.32-22_amd64.deb
 4961423523f46f294ea16de228b5034740d9514f 28216066 linux-image-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 57de7a74a68950924c69c87a11dc09104fd14da0 378602782 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-22_amd64.deb
 c4eb836bb12348f5bfae34f98e1ea02037ddfb72 511956 linux-headers-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 6a4699197b1702bb82e5d0642dcf586a24b5914e 3920202 linux-headers-2.6.32-5-common-vserver_2.6.32-22_amd64.deb
 0854b3936bee5a598ecc6adee34fe2682adf58c0 28250474 linux-image-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 e8bcf7f72bfcec0f0689bbe8991daef307a9d4a5 371221892 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-22_amd64.deb
 429d480e29e6bef8506e9d9b2fe40592cc730dfd 512790 linux-headers-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 3f3c39779def9a16f170d005fe39a5cad145f3e9 133182 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 2870a0072dbda2b886feffb97bfa2412bfaa0c42 3906924 linux-headers-2.6.32-5-common-xen_2.6.32-22_amd64.deb
Checksums-Sha256: 
 ea20414f458d34ee183db135bc352bd0f3f2d6076e5b966b3ba3593efa3c939e 6337 linux-2.6_2.6.32-22.dsc
 0dc7d88cba003f367bf4250cb412e418068e7778b9462d160e3e07e9beea65aa 13562514 linux-2.6_2.6.32-22.diff.gz
 f3bd7ac6937b6a58026f4a8d536bdd0226829313edd5cf4a9c913037c7cdac78 6040300 linux-doc-2.6.32_2.6.32-22_all.deb
 7411167b18e4790ae00a4cb13cb8f33cb36bb98bde03d402ccc5f6a52def9d0e 2723742 linux-manual-2.6.32_2.6.32-22_all.deb
 1f24c772dd395c7b2517e3a483bc2d078add50372d0c139750e0ad074f2c6dfe 6487022 linux-patch-debian-2.6.32_2.6.32-22_all.deb
 c7655c3ed81ee9c1507351a23e3deeed1e18e670ee1b07c4f7903d3ffd423ba7 64740848 linux-source-2.6.32_2.6.32-22_all.deb
 436371efefdcccc6ee04a4745c0d11078c5eb798f18ff84f20ce94e57dea5c6e 149932 linux-support-2.6.32-5_2.6.32-22_all.deb
 d7d87b6eb71c8c930058bcac2339b6066ce59e4c310f45b9317ca5c5a4a9fb15 137744 firmware-linux-free_2.6.32-22_all.deb
 585394407be61a8bbc52b2c306a37a29bf42fe92877ec760fabf34d6eb3cd1ff 156468 linux-base_2.6.32-22_all.deb
 82ccaa086dcb1d93b67eca5916eed840706c606ad5558369b2ad5827b8e7b09f 28154502 linux-image-2.6.32-5-amd64_2.6.32-22_amd64.deb
 2c2c4074f91c5a51900192b156baab1aaeadb168cea3ec13aa877f9335c93104 368996248 linux-image-2.6.32-5-amd64-dbg_2.6.32-22_amd64.deb
 259ac40eb446d73e36e3106f4cc452874c45c2d2a4a9752ba2c66f9aca912b0c 511646 linux-headers-2.6.32-5-amd64_2.6.32-22_amd64.deb
 2a89d728b8e8d3e02ce5c65d040e177c7c537ded656bf5b72922ce36210da349 3887974 linux-headers-2.6.32-5-common_2.6.32-22_amd64.deb
 663e1811efb1ed8fe0573b6232ccb5addc4b368c25343747ef8011243af4e509 28293522 linux-image-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 7ac628200f275c7fc700f1acef543e8b39414bed44c79e28d32edefd0b7057ec 436012878 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-22_amd64.deb
 b5b474b107964d1ed09b6a62c63e64b1d40e6cef4753c331bda770cea1524d66 536802 linux-headers-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 d5a9d2c01dea461b0934ee6bc6618fbdbba242332382a573113a53127aff7087 3940454 linux-headers-2.6.32-5-common-openvz_2.6.32-22_amd64.deb
 8f2c53603ce613f5814b8de77d101efff9b7af4aba63152c7f3c28345b8315a0 133194 linux-headers-2.6.32-5-all_2.6.32-22_amd64.deb
 c4296bd0538c465563b5729f0f6f06eeeca6b62c7c6195b8aec962727babde60 133226 linux-headers-2.6.32-5-all-amd64_2.6.32-22_amd64.deb
 0027d743af7fc7d2421a5e9b445ccac71e3c104668e3f66879e2a267e57c8c6f 829740 linux-libc-dev_2.6.32-22_amd64.deb
 d584a12be890abf3249818f3f0c20429982a1d22d6791832f1c1f50d106e9c18 290544 linux-tools-2.6.32_2.6.32-22_amd64.deb
 e56178bd10a9dd930c580cfbe30759473610c53c483dee5640f989220a2824d9 28216066 linux-image-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 ed958f02b0640c24e1a36d17004b2297a407f3eecaf8f0615c57e4217f8631c4 378602782 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-22_amd64.deb
 7b4f9b1da44c33fec6d7f38d1f32fa56dfed0b19981f2c2447c7417060df982c 511956 linux-headers-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 19c7d34f89008192a55909e544190b22810d0124d9c732dd43108d153149525a 3920202 linux-headers-2.6.32-5-common-vserver_2.6.32-22_amd64.deb
 0eb06b509e9b6dd1f8dd2d7a0378e164f4f52a642d6341146c5264135b3f89a9 28250474 linux-image-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 7992990135997546fa4291d030a212bb442975ad3dd4f2ed7b9def1b6472d072 371221892 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-22_amd64.deb
 0e77fa47fbf8fe1e2f2159a0e4329cc1a77cb338d74563dfe596ddb9b5664bb7 512790 linux-headers-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 500670bdceff59706b8b325fa1984104d0d35c721fff88ea3397d8f85ba20c3a 133182 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 aa2ce6d923a1af6c3b0b54fb8899a2e5c848f4c3f0129285f545ae5ffb75dd73 3906924 linux-headers-2.6.32-5-common-xen_2.6.32-22_amd64.deb
Files: 
 9c85af59d41fc000f9c373a71e883af3 6337 kernel optional linux-2.6_2.6.32-22.dsc
 c750fc6c40ef112baa7829c3ae84c3eb 13562514 kernel optional linux-2.6_2.6.32-22.diff.gz
 8ceecdb54a77c7c1c8211d8d476a5245 6040300 doc optional linux-doc-2.6.32_2.6.32-22_all.deb
 8f0df99f0dc8b14fcaf2261d789b5306 2723742 doc optional linux-manual-2.6.32_2.6.32-22_all.deb
 661e4437f1dfdc50e96c3f45c2970147 6487022 kernel optional linux-patch-debian-2.6.32_2.6.32-22_all.deb
 06d886c5b044d17a3ddff37031888b41 64740848 kernel optional linux-source-2.6.32_2.6.32-22_all.deb
 92ba4bc817834ed0285893aef7a0b0d2 149932 devel optional linux-support-2.6.32-5_2.6.32-22_all.deb
 c7860d69d8b7bfdf628ac69a6b3f7d14 137744 kernel optional firmware-linux-free_2.6.32-22_all.deb
 6cedd8227ab8f41df3c6b1a7b826b93e 156468 kernel optional linux-base_2.6.32-22_all.deb
 1bb9de2aaacca7cc51caf853bb95aae3 28154502 kernel optional linux-image-2.6.32-5-amd64_2.6.32-22_amd64.deb
 40d6f177030661c25150a631ba05e623 368996248 debug extra linux-image-2.6.32-5-amd64-dbg_2.6.32-22_amd64.deb
 4052d95d4876ab32b51797082cd34ddc 511646 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-22_amd64.deb
 49710a749f97a56bd0e2b09e5158783e 3887974 kernel optional linux-headers-2.6.32-5-common_2.6.32-22_amd64.deb
 7f75b50f6602396485b519978d650a88 28293522 kernel optional linux-image-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 ff474650b768ac7760d903a621ea8784 436012878 debug extra linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-22_amd64.deb
 e651e971dbf1ff1011f479762ecab013 536802 kernel optional linux-headers-2.6.32-5-openvz-amd64_2.6.32-22_amd64.deb
 613f47038f822c7b937d2b53b0d3bdbe 3940454 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-22_amd64.deb
 d286c4e25b895087c84a2a4b7d2863e4 133194 kernel optional linux-headers-2.6.32-5-all_2.6.32-22_amd64.deb
 b05d88e2f21c79da8600ccfdf0a013a9 133226 kernel optional linux-headers-2.6.32-5-all-amd64_2.6.32-22_amd64.deb
 0b11eaf8010a705628bf346f072253a0 829740 devel optional linux-libc-dev_2.6.32-22_amd64.deb
 f5f23fab53ba1010c726954a12efef98 290544 kernel optional linux-tools-2.6.32_2.6.32-22_amd64.deb
 2100738ca2249034e8824205ebfc8dab 28216066 kernel optional linux-image-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 d115907ac883e2c270ea2ec8b49d0e21 378602782 debug extra linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-22_amd64.deb
 c494d5be6a9eb0f09cff406c5cf7cb35 511956 kernel optional linux-headers-2.6.32-5-vserver-amd64_2.6.32-22_amd64.deb
 ac8b1d208a7386694fd3a5bc87f4eedf 3920202 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-22_amd64.deb
 97c8dc7567a62262cf122d555ca6a763 28250474 kernel optional linux-image-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 9aa5933d5a8c27c5909ca4d90aca3a0a 371221892 debug extra linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-22_amd64.deb
 aefbc797742f413aeaec04863f4bfcaa 512790 kernel optional linux-headers-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 cfe8e91222a3a9814824952688e44cdc 133182 kernel optional xen-linux-system-2.6.32-5-xen-amd64_2.6.32-22_amd64.deb
 845a6416c383b47c7fcab7fdf1274297 3906924 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-22_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyQYNkACgkQeW7Lc5tEHqhBLwCeMebAKil/WQ+RCVpwkvEDOJrg
f14AoMx9pBk12pwojN/wojX4hOhNsqY0
=VJLV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 03 Oct 2010 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 18:48:03 GMT) Full text and rfc822 format available.

Message #92 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: 594561@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
Cc: debian-kernel@lists.debian.org
Subject: 594561 should be reopened
Date: Sun, 03 Oct 2010 20:37:02 +0200
Dear all,

Bug n. 594561 is not fixed in version linux-2.6/2.6.32-23 (testing).  
The kernel detects the Wifi stick , but only same channels as before  
and nothing about freq. 2.472 ...

Sorry for not reporting before, as it was impossible for me to check  
until now.

Best regards,

Wenceslao

----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 03 Oct 2010 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 19:15:05 GMT) Full text and rfc822 format available.

Message #97 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: 594561 should be reopened
Date: Sun, 03 Oct 2010 20:11:16 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-03 at 20:37 +0200, Wenceslao González-Viñas wrote:
> Dear all,
> 
> Bug n. 594561 is not fixed in version linux-2.6/2.6.32-23 (testing).  
> The kernel detects the Wifi stick , but only same channels as before  
> and nothing about freq. 2.472 ...

Please explain how you are testing this.

> Sorry for not reporting before, as it was impossible for me to check  
> until now.

I just tested on a Ralink PCI device with the rt2860sta driver, which
shares the channel selection code with rt2870sta.  I can select channel
13 / frequency 2.472 GHz now.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 03 Oct 2010 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 19:24:07 GMT) Full text and rfc822 format available.

Message #102 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: 594561 should be reopened
Date: Sun, 03 Oct 2010 21:22:22 +0200
In fact, I think that it is a variant (rt3070) of rt2870. But anyway,  
I just connect the wifi stick to the computer (after updating kernel  
and rebooting). It starts to blink and detects the wifi signal, but  
not the needed channel (13).

I type:

iwlist wlan0 frequency

and in the answer there is only frequencies below 2.462 (so same  
channels as before).

BTW, it is a wifi USB stick, not a pci device ...

Thanks for everything.

Wenceslao

Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-10-03 at 20:37 +0200, Wenceslao González-Viñas wrote:
>> Dear all,
>>
>> Bug n. 594561 is not fixed in version linux-2.6/2.6.32-23 (testing).
>> The kernel detects the Wifi stick , but only same channels as before
>> and nothing about freq. 2.472 ...
>
> Please explain how you are testing this.
>
>> Sorry for not reporting before, as it was impossible for me to check
>> until now.
>
> I just tested on a Ralink PCI device with the rt2860sta driver, which
> shares the channel selection code with rt2870sta.  I can select channel
> 13 / frequency 2.472 GHz now.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>





----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 03 Oct 2010 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 20:03:04 GMT) Full text and rfc822 format available.

Message #107 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>, 594561@bugs.debian.org
Subject: Re: Bug#594561: 594561 should be reopened
Date: Sun, 03 Oct 2010 20:59:25 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-03 at 21:22 +0200, Wenceslao González-Viñas wrote:
> In fact, I think that it is a variant (rt3070) of rt2870. But anyway,  
> I just connect the wifi stick to the computer (after updating kernel  
> and rebooting). It starts to blink and detects the wifi signal, but  
> not the needed channel (13).

Well which driver is it?

Run:
    readlink /sys/class/net/wlan0/device/driver
    /sbin/modinfo rt2870sta | grep filename:
    /sbin/modinfo rt3070sta | grep filename:

> I type:
> 
> iwlist wlan0 frequency
> 
> and in the answer there is only frequencies below 2.462 (so same  
> channels as before).
> 
> BTW, it is a wifi USB stick, not a pci device ...
[...]

I know, but there are PCI and USB variants of the controller which share
most of the driver code.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Mon, 04 Oct 2010 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Oct 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #112 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594561@bugs.debian.org
Subject: Re: Bug#594561: 594561 should be reopened
Date: Mon, 04 Oct 2010 00:56:44 +0100
-------- Forwarded Message --------
From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#594561: 594561 should be reopened
Date: Sun, 03 Oct 2010 22:29:15 +0200

readlink /sys/class/net/wlan0/device/driver

../../../../../bus/usb/drivers/usb

/sbin/modinfo rt2870sta | grep filename:

filename:        
/lib/modules/2.6.32-5-amd64/kernel/drivers/staging/rt2870/rt2870sta.ko

/sbin/modinfo rt3070sta | grep filename:

ERROR: modinfo: could not find module rt3070sta

Wenceslao


Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-10-03 at 21:22 +0200, Wenceslao González-Viñas wrote:
>> In fact, I think that it is a variant (rt3070) of rt2870. But anyway,
>> I just connect the wifi stick to the computer (after updating kernel
>> and rebooting). It starts to blink and detects the wifi signal, but
>> not the needed channel (13).
>
> Well which driver is it?
>
> Run:
>     readlink /sys/class/net/wlan0/device/driver
>     /sbin/modinfo rt2870sta | grep filename:
>     /sbin/modinfo rt3070sta | grep filename:
>
>> I type:
>>
>> iwlist wlan0 frequency
>>
>> and in the answer there is only frequencies below 2.462 (so same
>> channels as before).
>>
>> BTW, it is a wifi USB stick, not a pci device ...
> [...]
>
> I know, but there are PCI and USB variants of the controller which share
> most of the driver code.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Mon, 04 Oct 2010 00:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Oct 2010 00:06:03 GMT) Full text and rfc822 format available.

Message #117 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594561-submitter@bugs.debian.org
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: 594561 should be reopened
Date: Mon, 04 Oct 2010 01:02:42 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-03 at 22:29 +0200, Wenceslao González-Viñas wrote:
> readlink /sys/class/net/wlan0/device/driver
> 
> ../../../../../bus/usb/drivers/usb

Oh, sorry, make that:

    ls -l /sys/class/net/wlan0/device/*/driver

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wenceslao <wens@fisica.unav.es>:
Bug#594561. (Mon, 04 Oct 2010 00:06:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#594561; Package linux-2.6. (Mon, 04 Oct 2010 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and filed, but not forwarded. (Mon, 04 Oct 2010 05:00:03 GMT) Full text and rfc822 format available.

Message #125 received at 594561-quiet@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>, 594561-quiet@bugs.debian.org
Subject: Re: Bug#594561: 594561 should be reopened
Date: Mon, 04 Oct 2010 06:46:37 +0200
I tried in another computer (same kernel and so on ...) and happened  
the same.. In this case ralink was on wlan1

ls -l /sys/class/net/wlan1/device/*/driver

lrwxrwxrwx 1 root root 0 Oct  4 06:35  
/sys/class/net/wlan1/device/1-1:1.0/driver ->  
../../../../../../bus/usb/drivers/rt2870

Best,

Wenceslao

Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-10-03 at 22:29 +0200, Wenceslao González-Viñas wrote:
>> readlink /sys/class/net/wlan0/device/driver
>>
>> ../../../../../bus/usb/drivers/usb
>
> Oh, sorry, make that:
>
>     ls -l /sys/class/net/wlan0/device/*/driver
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Bug No longer marked as fixed in versions linux-2.6/2.6.32-22 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Oct 2010 00:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Wed, 13 Oct 2010 22:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 22:06:22 GMT) Full text and rfc822 format available.

Message #132 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>, 594561@bugs.debian.org
Subject: Fwd: Re: Bug#594561: 594561 should be reopened
Date: Thu, 14 Oct 2010 00:04:34 +0200
[Message part 1 (text/plain, inline)]
Dear Ben,

Do you need more information from my side in order to fix the problem?  
I see that the bug is reopened, but I do not know how I can help to  
solve it ...

Best,

Wenceslao


----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es

[Mensaje reenviado: Re: Bug#594561: 594561 should be reopened (message/rfc822, inline)]
From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>, 594561-quiet@bugs.debian.org
Subject: Re: Bug#594561: 594561 should be reopened
Date: Mon, 04 Oct 2010 06:46:37 +0200
I tried in another computer (same kernel and so on ...) and happened  
the same.. In this case ralink was on wlan1

ls -l /sys/class/net/wlan1/device/*/driver

lrwxrwxrwx 1 root root 0 Oct  4 06:35  
/sys/class/net/wlan1/device/1-1:1.0/driver ->  
../../../../../../bus/usb/drivers/rt2870

Best,

Wenceslao

Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-10-03 at 22:29 +0200, Wenceslao González-Viñas wrote:
>> readlink /sys/class/net/wlan0/device/driver
>>
>> ../../../../../bus/usb/drivers/usb
>
> Oh, sorry, make that:
>
>     ls -l /sys/class/net/wlan0/device/*/driver
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Wed, 24 Nov 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Nov 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #137 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: maks@debian.org
Cc: 594561@bugs.debian.org
Subject: State of the bug 594561
Date: Wed, 24 Nov 2010 22:29:34 +0100
Could someone tell me what is the state of this bug? What can I do to  
help to fix the problem?

Thank you very much in advanced,

best regards,

Wenceslao

PS: I am using testing (squeeze)


----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 28 Nov 2010 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Nov 2010 02:15:03 GMT) Full text and rfc822 format available.

Message #142 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>, 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 28 Nov 2010 02:12:49 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-11-24 at 22:29 +0100, Wenceslao González-Viñas wrote:
> Could someone tell me what is the state of this bug? What can I do to  
> help to fix the problem?

Well, you can prompt me to look again, as you did. :-)

It seems that the code I changed, which looks like it sets the valid
channels, is not actually used at all!  The code that really does is
another file.

This code reads a region number from ROM in the chip, and sets the
allowed channels according to that region's radio regulations.  We
should not override this.  However, I cannot explain why the Windows
driver decides that channels 1-13 are allowed (correct for Europe) while
the Linux driver (which is based on it) decides that channels 1-11 are
allowed.  Perhaps there is a bug in reading the ROM.

I've made a change to the driver that will cause it to log the entire
contents of the ROM when it is loaded:

Patch file: http://people.debian.org/~benh/rt28x0-dump-efuse.patch
New module: http://people.debian.org/~benh/rt2870sta.ko
GPG signature for module: http://people.debian.org/~benh/rt2870sta.ko.asc

Please download the new module, verify my signature, then load the
module by running:

rmmod rt2870sta
insmod rt2870sta.ko

Finally run 'dmesg' to get the listing of the ROM data, and send that
back.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 28 Nov 2010 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Nov 2010 17:24:04 GMT) Full text and rfc822 format available.

Message #147 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 28 Nov 2010 17:20:38 +0000
[Message part 1 (text/plain, inline)]
[Please remember to reply-to-all, including the bug address.]

On Sun, 2010-11-28 at 10:42 +0100, Wenceslao González-Viñas wrote:
> Dear Ben,
> 
> thank you very much! In fact there is some problem:
> 
> It gives this error:
> 
> insmod: error inserting 'rt2870sta.ko': -1 Invalid module format

There should be some more information in the kernel log; please report
that.

Actually, first try running 'modprobe crc_ccitt' before the insmod
command.

> Could this be due to that I updated the system. Now, I have kernel:
> 
> Linux box 2.6.32-5-amd64 #1 SMP Sat Oct 30 14:18:21 UTC 2010 x86_64 GNU/Linux
[...]

I don't think so.  Whenever we do make an incompatible change, we
increase the 'ABI version' which is the number that appears after the
upstream version above, i.e. currently 5.  We have not made such a
change since package version 2.6.32-12 released in May.

It's quite possible that I made a mistake here but it worked for me.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 28 Nov 2010 20:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Nov 2010 20:24:06 GMT) Full text and rfc822 format available.

Message #152 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 28 Nov 2010 21:20:40 +0100
Dear Ben,

Module crc_ccitt was already loaded. (anyway I removed and loaded again).

After insmod rt2870sta it gave same error and kern.log gave:

rt2870sta: module has no symbols (stripped?)

Thanks and sorry not to cc to bug error address in previous email.

Best,

Wenceslao



Ben Hutchings <ben@decadent.org.uk> ha escrito:

> [Please remember to reply-to-all, including the bug address.]
>
> On Sun, 2010-11-28 at 10:42 +0100, Wenceslao González-Viñas wrote:
>> Dear Ben,
>>
>> thank you very much! In fact there is some problem:
>>
>> It gives this error:
>>
>> insmod: error inserting 'rt2870sta.ko': -1 Invalid module format
>
> There should be some more information in the kernel log; please report
> that.
>
> Actually, first try running 'modprobe crc_ccitt' before the insmod
> command.
>
>> Could this be due to that I updated the system. Now, I have kernel:
>>
>> Linux box 2.6.32-5-amd64 #1 SMP Sat Oct 30 14:18:21 UTC 2010 x86_64  
>> GNU/Linux
> [...]
>
> I don't think so.  Whenever we do make an incompatible change, we
> increase the 'ABI version' which is the number that appears after the
> upstream version above, i.e. currently 5.  We have not made such a
> change since package version 2.6.32-12 released in May.
>
> It's quite possible that I made a mistake here but it worked for me.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 28 Nov 2010 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Nov 2010 21:30:06 GMT) Full text and rfc822 format available.

Message #157 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 28 Nov 2010 21:26:37 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-28 at 21:20 +0100, Wenceslao González-Viñas wrote:
> Dear Ben,
> 
> Module crc_ccitt was already loaded. (anyway I removed and loaded again).
> 
> After insmod rt2870sta it gave same error and kern.log gave:
> 
> rt2870sta: module has no symbols (stripped?)

Sorry, I ran 'strip' on this file to remove unnecessary data.  I forgot
that it removes too much from kernel modules.

I've put a fixed version up at the same URL.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 28 Nov 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Nov 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #162 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 28 Nov 2010 22:38:20 +0100
[Message part 1 (text/plain, inline)]
Here it is the output of dmesg (attached).

Best,

Wenceslao



Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-11-28 at 21:20 +0100, Wenceslao González-Viñas wrote:
>> Dear Ben,
>>
>> Module crc_ccitt was already loaded. (anyway I removed and loaded again).
>>
>> After insmod rt2870sta it gave same error and kern.log gave:
>>
>> rt2870sta: module has no symbols (stripped?)
>
> Sorry, I ran 'strip' on this file to remove unnecessary data.  I forgot
> that it removes too much from kernel modules.
>
> I've put a fixed version up at the same URL.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es
[dmesg.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Mon, 29 Nov 2010 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Nov 2010 01:27:05 GMT) Full text and rfc822 format available.

Message #167 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Mon, 29 Nov 2010 01:25:44 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-28 at 22:38 +0100, Wenceslao González-Viñas wrote:
> Here it is the output of dmesg (attached).

Sorry, but there's something I missed - there are two different ways of
reading the ROM.  I have put yet another version at the same URL, which
will read the ROM in the other way.  Please load it and report the new
log messages.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Mon, 29 Nov 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Nov 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #172 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Mon, 29 Nov 2010 07:59:21 +0100
[Message part 1 (text/plain, inline)]
Hereby I attach new output,

Wenceslao




Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Sun, 2010-11-28 at 22:38 +0100, Wenceslao González-Viñas wrote:
>> Here it is the output of dmesg (attached).
>
> Sorry, but there's something I missed - there are two different ways of
> reading the ROM.  I have put yet another version at the same URL, which
> will read the ROM in the other way.  Please load it and report the new
> log messages.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



-- 


----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es
[dmesg.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Mon, 06 Dec 2010 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Dec 2010 05:54:03 GMT) Full text and rfc822 format available.

Message #177 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Mon, 06 Dec 2010 05:51:11 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2010-11-29 at 07:59 +0100, Wenceslao González-Viñas wrote:
> Hereby I attach new output,

OK, so:

> [ 8696.512789] Block 0:3070 0130 0101 0001 
> [ 8696.515285] Block 0:2200 2d22 a72d 00a7 
> [ 8696.517785] Block 1:ddfb 00dd 0000 0000 
> [ 8696.520411] Block 1:0000 0000 0000 0000 
> [ 8696.522784] Block 2:ffff ffff ffff ffff 
> [ 8696.524783] Block 2:ffff ffff ffff ffff 
> [ 8696.526783] Block 3:ffff ffff ffff ffff 
> [ 8696.528783] Block 3:ffff ffff ffff ffff 
                         ^^^^
The country/region code is here.  And it is blank, invalid.  So the
driver has to use a default setting, which is channels 1-11 (permitted
almost everywhere in the world).

I assume that the Windows driver was modified by this manufacturer to
change this default, because they were too stupid to write the correct
region in the hardware.  But that isn't the right thing to do.

Here's a new patch to test.  With this, you should be able to run:

    modprobe rt2860 ieee80211_regdom=EU

and get the full set of channels.  Please build and test a new kernel
package following the instructions at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sat, 11 Dec 2010 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Dec 2010 06:48:03 GMT) Full text and rfc822 format available.

Message #182 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sat, 11 Dec 2010 07:45:13 +0100
[Message part 1 (text/plain, inline)]
I patched same file as before and i get the following error. I attach  
original and rejection file..

patch rt2870sta.ko  
0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch

(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 82.
Hunk #2 FAILED at 103.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 3198.
Hunk #2 FAILED at 3373.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
----------------------

Best,

Wenceslao

PS: as you asked me to insmod rt2860, I also tried to patch the  
corresponding one. Finally I tried to patch the already patched  
rt2870sta.ko , just in case. Both gave same type of error.




Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Mon, 2010-11-29 at 07:59 +0100, Wenceslao González-Viñas wrote:
>> Hereby I attach new output,
>
> OK, so:
>
>> [ 8696.512789] Block 0:3070 0130 0101 0001
>> [ 8696.515285] Block 0:2200 2d22 a72d 00a7
>> [ 8696.517785] Block 1:ddfb 00dd 0000 0000
>> [ 8696.520411] Block 1:0000 0000 0000 0000
>> [ 8696.522784] Block 2:ffff ffff ffff ffff
>> [ 8696.524783] Block 2:ffff ffff ffff ffff
>> [ 8696.526783] Block 3:ffff ffff ffff ffff
>> [ 8696.528783] Block 3:ffff ffff ffff ffff
>                          ^^^^
> The country/region code is here.  And it is blank, invalid.  So the
> driver has to use a default setting, which is channels 1-11 (permitted
> almost everywhere in the world).
>
> I assume that the Windows driver was modified by this manufacturer to
> change this default, because they were too stupid to write the correct
> region in the hardware.  But that isn't the right thing to do.
>
> Here's a new patch to test.  With this, you should be able to run:
>
>     modprobe rt2860 ieee80211_regdom=EU
>
> and get the full set of channels.  Please build and test a new kernel
> package following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



-- 
_

----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es
[rt2870sta.ko.rej (application/x-reject, attachment)]
[rt2870sta.ko (application/x-object, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Thu, 23 Dec 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Dec 2010 15:36:03 GMT) Full text and rfc822 format available.

Message #187 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Thu, 23 Dec 2010 16:33:55 +0100
[Message part 1 (text/plain, inline)]
I patched same file as before and i get the following error. I attach   
original and rejection file..

patch rt2870sta.ko   
0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch

(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 82.
Hunk #2 FAILED at 103.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 3198.
Hunk #2 FAILED at 3373.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
----------------------

Best,

Wenceslao

PS: as you asked me to insmod rt2860, I also tried to patch the   
corresponding one. Finally I tried to patch the already patched   
rt2870sta.ko , just in case. Both gave same type of error.




Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Mon, 2010-11-29 at 07:59 +0100, Wenceslao González-Viñas wrote:
>> Hereby I attach new output,
>
> OK, so:
>
>> [ 8696.512789] Block 0:3070 0130 0101 0001
>> [ 8696.515285] Block 0:2200 2d22 a72d 00a7
>> [ 8696.517785] Block 1:ddfb 00dd 0000 0000
>> [ 8696.520411] Block 1:0000 0000 0000 0000
>> [ 8696.522784] Block 2:ffff ffff ffff ffff
>> [ 8696.524783] Block 2:ffff ffff ffff ffff
>> [ 8696.526783] Block 3:ffff ffff ffff ffff
>> [ 8696.528783] Block 3:ffff ffff ffff ffff
>                         ^^^^
> The country/region code is here.  And it is blank, invalid.  So the
> driver has to use a default setting, which is channels 1-11 (permitted
> almost everywhere in the world).
>
> I assume that the Windows driver was modified by this manufacturer to
> change this default, because they were too stupid to write the correct
> region in the hardware.  But that isn't the right thing to do.
>
> Here's a new patch to test.  With this, you should be able to run:
>
>    modprobe rt2860 ieee80211_regdom=EU
>
> and get the full set of channels.  Please build and test a new kernel
> package following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es
[Mensaje reenviado: Re: Bug#594561: State of the bug 594561 (message/rfc822, inline)]
From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sat, 11 Dec 2010 07:45:13 +0100
[Message part 3 (text/plain, inline)]
I patched same file as before and i get the following error. I attach  
original and rejection file..

patch rt2870sta.ko  
0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch

(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 82.
Hunk #2 FAILED at 103.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
(Stripping trailing CRs from patch.)
patching file rt2870sta.ko
Hunk #1 FAILED at 3198.
Hunk #2 FAILED at 3373.
2 out of 2 hunks FAILED -- saving rejects to file rt2870sta.ko.rej
----------------------

Best,

Wenceslao

PS: as you asked me to insmod rt2860, I also tried to patch the  
corresponding one. Finally I tried to patch the already patched  
rt2870sta.ko , just in case. Both gave same type of error.




Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Mon, 2010-11-29 at 07:59 +0100, Wenceslao González-Viñas wrote:
>> Hereby I attach new output,
>
> OK, so:
>
>> [ 8696.512789] Block 0:3070 0130 0101 0001
>> [ 8696.515285] Block 0:2200 2d22 a72d 00a7
>> [ 8696.517785] Block 1:ddfb 00dd 0000 0000
>> [ 8696.520411] Block 1:0000 0000 0000 0000
>> [ 8696.522784] Block 2:ffff ffff ffff ffff
>> [ 8696.524783] Block 2:ffff ffff ffff ffff
>> [ 8696.526783] Block 3:ffff ffff ffff ffff
>> [ 8696.528783] Block 3:ffff ffff ffff ffff
>                          ^^^^
> The country/region code is here.  And it is blank, invalid.  So the
> driver has to use a default setting, which is channels 1-11 (permitted
> almost everywhere in the world).
>
> I assume that the Windows driver was modified by this manufacturer to
> change this default, because they were too stupid to write the correct
> region in the hardware.  But that isn't the right thing to do.
>
> Here's a new patch to test.  With this, you should be able to run:
>
>     modprobe rt2860 ieee80211_regdom=EU
>
> and get the full set of channels.  Please build and test a new kernel
> package following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



-- 
_

----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es
[rt2870sta.ko.rej (application/x-reject, attachment)]
[rt2870sta.ko (application/x-object, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Fri, 24 Dec 2010 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Dec 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #192 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Fri, 24 Dec 2010 15:42:59 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-12-23 at 16:33 +0100, Wenceslao González-Viñas wrote:
> I patched same file as before and i get the following error. I attach   
> original and rejection file..
> 
> patch rt2870sta.ko   
> 0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch
[...]

Why are you trying to patch the module?  You need to patch its source
code, following the instructions at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sat, 25 Dec 2010 18:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Dec 2010 18:18:09 GMT) Full text and rfc822 format available.

Message #197 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sat, 25 Dec 2010 19:16:00 +0100
Ok! I didn't understand this in your last email (I thought it was two  
step thing and the first was what I did). It does not seem easy. I  
will try and say ...

Thanks,

Wenceslao


Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Thu, 2010-12-23 at 16:33 +0100, Wenceslao González-Viñas wrote:
>> I patched same file as before and i get the following error. I attach
>> original and rejection file..
>>
>> patch rt2870sta.ko
>> 0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch
> [...]
>
> Why are you trying to patch the module?  You need to patch its source
> code, following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 26 Dec 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wenceslao González-Viñas <wens@fisica.unav.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Dec 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #202 received at 594561@bugs.debian.org (full text, mbox):

From: Wenceslao González-Viñas <wens@fisica.unav.es>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 26 Dec 2010 15:42:54 +0100
Ok!, I did more or less the things you told me. I was not able to  
patch the source in a standard way; but I changed the source code by  
hand, I recompile the kernel and I used the resulting module with  
insmod rt2870.ko ieee80211_regdom=EU

Please note that I did not reinstall compiled kernel (so I had to use  
insmod instead your suggested modprobe) and that the module to use was  
rt2870 (and not 2860). Of course I patched from 2860 folder since the  
files were common.

Now it works perfect ! So, you were right !!! Many thanks!

My question now is how, and when this will become automatized in the  
kernel which comes from the debian distribution ?

Thanks again and happy new year!

Wenceslao



Ben Hutchings <ben@decadent.org.uk> ha escrito:

> On Thu, 2010-12-23 at 16:33 +0100, Wenceslao González-Viñas wrote:
>> I patched same file as before and i get the following error. I attach
>> original and rejection file..
>>
>> patch rt2870sta.ko
>> 0001-rt28x0-Add-ieee80211_regdom-module-parameter-mimicki.patch
> [...]
>
> Why are you trying to patch the module?  You need to patch its source
> code, following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>


----------------------------------------------------------------
Este mensaje ha sido enviado desde https://webmail.unav.es




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 02 Jan 2011 22:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594561; Package linux-2.6. (Sun, 02 Jan 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 Jan 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #209 received at 594561@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Wenceslao González-Viñas <wens@fisica.unav.es>, 594561@bugs.debian.org
Subject: Re: Bug#594561: State of the bug 594561
Date: Sun, 02 Jan 2011 22:55:41 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-12-26 at 15:42 +0100, Wenceslao González-Viñas wrote:
> Ok!, I did more or less the things you told me. I was not able to  
> patch the source in a standard way; but I changed the source code by  
> hand, I recompile the kernel and I used the resulting module with  
> insmod rt2870.ko ieee80211_regdom=EU
> 
> Please note that I did not reinstall compiled kernel (so I had to use  
> insmod instead your suggested modprobe) and that the module to use was  
> rt2870 (and not 2860). Of course I patched from 2860 folder since the  
> files were common.
> 
> Now it works perfect ! So, you were right !!! Many thanks!
> 
> My question now is how, and when this will become automatized in the  
> kernel which comes from the debian distribution ?

The module parameter will be added in the next version (2.6.32-30).

Note that in the release after 'squeeze' rt2870sta will be replaced with
a new driver 'rt2870usb' which uses the common Linux 802.11 support
code.  You will then need to specify the same parameter for the
'cfg80211' module instead (in fact, you can set that now in
preparation).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 12 Jan 2011 02:51:17 GMT) Full text and rfc822 format available.

Notification sent to Wenceslao <wens@fisica.unav.es>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 02:51:17 GMT) Full text and rfc822 format available.

Message #214 received at 594561-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594561-close@bugs.debian.org
Subject: Bug#594561: fixed in linux-2.6 2.6.32-30
Date: Wed, 12 Jan 2011 02:50:09 +0000
Source: linux-2.6
Source-Version: 2.6.32-30

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-30_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-30_all.deb
linux-2.6_2.6.32-30.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-30.diff.gz
linux-2.6_2.6.32-30.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-30.dsc
linux-base_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-30_all.deb
linux-doc-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-30_all.deb
linux-manual-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-30_all.deb
linux-patch-debian-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-30_all.deb
linux-source-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-30_all.deb
linux-support-2.6.32-5_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-30_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 11 Jan 2011 05:42:11 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all amd64 source
Version: 2.6.32-30
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 555835 580507 594561 596390 599345 600694 601341 606968 607095 607284 607863 608144 608185 609155
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-30) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * mpt2sas: Fix incorrect scsi_dma_map error checking (Closes: #606968)
   * Update Spanish debconf template translation (Omar Campagne, Javier
     Fernández-Sanguino) (Really closes: #600694)
   * intel-iommu: Force-disable IOMMU for iGFX on broken Cantiga revisions
     (Closes: #607095)
   * [powerpc] linux-base: Run ybin after updating yaboot.conf
     (Closes: #607284)
   * tehuti: Firmware filename is tehuti/bdx.bin
   * iwlwifi: Reduce a failure-prone memory allocation (Closes: #599345)
   * linux-base: Look for GRUB 1 configuration in both /boot/grub and
     /boot/boot/grub (Closes: #607863)
   * rt28x0: Add ieee80211_regdom module parameter mimicking cfg80211 as a
     workaround for incorrect region code in NVRAM (Closes: #594561)
   * btrfs: Require CAP_SYS_ADMIN for filesystem rebalance (Closes: #608185)
   * [x86] dell-laptop: Enable for some newer Dell models
   * r8169: Change RTL8111D/RTL8168D initialisation and firmware loading to
     match upstream version (Closes: #596390 with firmware-realtek 0.28)
   * Add stable 2.6.32.28:
     - NFS: Fix panic after nfs_umount()
     - usb-storage/libusual: Add support for Samsung YP-CP3 MP4 Player,
       thanks to Vitaly Kuznetsov (Closes: #555835)
     - bfa: Fix system crash when reading sysfs fc_host statistics
       (CVE-2010-4343)
     - IB/uverbs: Handle large number of entries in poll CQ (CVE-2010-4649)
     - orinoco: Fix TKIP countermeasure behaviour (CVE-2010-4648)
     - mm: Add security_file_mmap check to install_special_mapping
       (CVE-2010-4346)
     - sctp: Fix a race between ICMP protocol unreachable and connect()
       (CVE-2010-4526)
     - hvc_console: Fix race between hvc_close and hvc_remove (CVE-2010-2653)
       (previously applied as an isolated fix in 2.6.32-25)
     - fuse/cuse: Verify ioctl retries (CVE-2010-4650)
   * [powerpc] Restore device tree source files to linux-image packages
     (Closes: #609155)
 .
   [ maximilian attems ]
   * [openvz] Reenable NF_CONNTRACK_IPV6. (closes: #580507)
   * cifs: fix another memleak, in cifs_root_iget.
   * b43: Fix warning at drivers/mmc/core/core.c:237 in mmc_wait_for_cmd.
   * drm/radeon/kms: MC vram map needs to be >= pci aperture size.
   * drm/radeon/kms: make sure blit addr masks are 64 bit.
   * drm/radeon/kms: fix handling of tex lookup disable in cs checker on r2xx.
   * drm/i915: Free hardware status page on unload when physically mapped.
   * drm/i915/overlay: Ensure that the reg_bo is in the GTT prior to writing.
   * drm/radeon/kms/atom: set sane defaults in atombios_get_encoder_mode().
   * drm/radeon/kms: fix typos in disabled vbios code.
   * drm/radeon/kms: add workaround for dce3 ddc line vbios bug.
   * drm/radeon/kms: fix interlaced and doublescan handling.
   * drm/i915/sdvo: Always add a 30ms delay to make SDVO TV detection reliable.
   * wireless: b43: fix error path in SDIO.
   * drm/radeon/kms: don't apply 7xx HDP flush workaround on AGP.
 .
   [ Ian Campbell ]
   * xen: backport TTM patches to use PCI API. Fixes PCIe GPU (specifically
     Radeon and Nouveau) on Xen (Closes: #601341).
   * xen: netback: drop SKBs which are GSO but do not have a partial
     checksum set (Closes: #608144).
 .
   [ dann frazier ]
   * exec: make argv/envp memory visible to oom-killer (CVE-2010-4243)
   * irda: Fix information leak in IRLMP_ENUMDEVICES (CVE-2010-4529)
   * af_unix: limit unix_tot_inflight (CVE-2010-4249)
 .
   [ Moritz Muehlenhoff ]
   * net: ax25: fix information leak to userland (CVE-2010-3875)
   * net: packet: fix information leak to userland (CVE-2010-3876)
   * net: tipc: fix information leak to userland (CVE-2010-3877)
   * inet_diag: Make sure we actually run the same bytecode we audited
     (CVE-2010-3880)
   * econet: Fix crash in aun_incoming() (CVE-2010-4342)
Checksums-Sha1: 
 db0c85af9383f494ce5d021a10f20c2b170f3af3 6969 linux-2.6_2.6.32-30.dsc
 6ac2dfe0a9c10aebd4486e1702fb358c7513f22a 14334799 linux-2.6_2.6.32-30.diff.gz
 fc378dc9c28f4e5c3aa986c32489f7693e2e4126 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 f4b46338df7ee5dfbe7bb02ce7a17cb95ebc9732 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 d6f64dd831fb95491d45440f278c126c19018466 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 78b181e067bf93fe33a3ee782f609348f76689ef 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 2842e01fd47b05a51dd51227ea5bc00bf68acc64 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 136606e0d8c40772f789421a5a29d789000fdf24 145468 firmware-linux-free_2.6.32-30_all.deb
 188cb3c5a224e3fbe099acc048f35b73df94bbea 166574 linux-base_2.6.32-30_all.deb
Checksums-Sha256: 
 e5f47cecf5e1654f108dd716307aad31b309e73960609af33158ef6975df0987 6969 linux-2.6_2.6.32-30.dsc
 7f38042799f8ece01f3de0075349e7b96f7173c64d2c0b238e2f755ad37e698e 14334799 linux-2.6_2.6.32-30.diff.gz
 c60982abe08391b6511513f96690203349106099d593170e1801be3b88ca7b5b 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 39decaa1e140651002f53a70acb58a2ffdf62b2c6377062c08ed604f4803c0ac 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 6d4e64b561261fd292fb4f6d4c41924fa57c05bd9bc4a183ba1c9227c2319764 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 32380882d8c31fdb6f627645a1cd3fb72e7cb840625616cfefaf294791328334 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 251eb954863e5037717a2d267383f28171c6059a15d8eb15f1be7aa7badb0d6a 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 510a1996142bc7d0f5e422718acbe3fd28a63221e2c5ba60707d69963bfb19a3 145468 firmware-linux-free_2.6.32-30_all.deb
 5a44afd747e37f8e0f9883caccf3525b7d40c4f8b8151be685576c22237631f3 166574 linux-base_2.6.32-30_all.deb
Files: 
 0a109fb1bf9dc32894be925123d43fbe 6969 kernel optional linux-2.6_2.6.32-30.dsc
 0a67dc7a82597f6ea7bf956bf906bd6a 14334799 kernel optional linux-2.6_2.6.32-30.diff.gz
 97e12dc7c864f5125727cc918a9998c3 6051958 doc optional linux-doc-2.6.32_2.6.32-30_all.deb
 6385ca1f37ae576730ac7b41bdf0548a 2729452 doc optional linux-manual-2.6.32_2.6.32-30_all.deb
 c01c54f3fa4dd642a0d08bc01985f995 7484478 kernel optional linux-patch-debian-2.6.32_2.6.32-30_all.deb
 73c021b8fbe88f84ec01bd48cdffa0f0 65017190 kernel optional linux-source-2.6.32_2.6.32-30_all.deb
 7ec6a4dcbb1745d121e8c7eeaf9d00fc 157346 devel optional linux-support-2.6.32-5_2.6.32-30_all.deb
 035b1d1f872bae0f04ae2d26e69c74f3 145468 kernel optional firmware-linux-free_2.6.32-30_all.deb
 2dc3815573df89796d1941a3164c5d17 166574 kernel optional linux-base_2.6.32-30_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTS0KEue/yOyVhhEJAQp6Qg/+MuqLIyMI+v3Zm6IC+tkrTkt4riIEg6aF
pt9v2KLtxthCNx38t9+ANKPx9TPjXuQgMiIMcKckK4uHXqGHieXg0+cvt/mnLbMN
QC7YJhF/kJ+4Dl9edHimfFSATZbhz+3uHXoPzqxd4iK8lZIaaXFqGvo8NUEO3APy
49o+NwDh0AM7wFs0JxySUaHRrS5L+vzkqi9VrJ3Av0Skxmjecqq9+9+GXrQGMdTZ
SmQvnl33+c0/Bj5VUJJfKmojR9GFmS5Gzdz6Y8uPxOPlGvKy/kvJztqzPJC6ApYc
8a4GuPSylqb3slfg4akVaZ/dN7c2BnM+ScrwQDB5fugyfEV6Uuh0reM4u+w2Iq7C
cwLTtQ7xxEkAzQL8PMrIcy4yqB6ydpXwB8Vnfri3fBCCwZ9gOODw/+rLon9pK+so
NTLmLyS44zcTsYa5fxR38eupspucIoCo2g0uGFLcWKHDq/9bbKQRbKBv28yNJS5f
3MODJcEGW/9HKwNSDn9rlF/bYgPtJiRtZIaU52vxOAAXPA0+j/QLfX6q8bMg0yaj
oiUrfdyfcyQ8BFOpCqOdMfKn6QW3cZ+XOL+hVoLBgvdReEq5JK/UQsAHLSACmF8b
Z9m2w36o7c+ZtZmhJ6qHnd62vxCiOd1yIOuQOl7ps9UzxtIRXN1NISaX4ThzAZ/S
gA+vxo6sW1w=
=JgT1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Feb 2011 07:36:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:04:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.